﻿/* Login page */
body {
    font-family: Roboto Condensed, Helvetica Neue, sans-serif;
    color: #4d4d4d;
    margin: 0 auto;
    width: auto;
    letter-spacing: 0.5px;
    background-image: linear-gradient(15deg, #ffffff 0%, #3f4c6b 175%);
    height: 100vh;
}

ul li:nth-child(odd) {
    background-color: #eee;
}

ul li.selectedItem {
    background-color: #2196F3;
}

ul li:not(:first-child):hover {
    background-color: lightblue;
    cursor: pointer;
}

ul li:first-child img:hover {
    cursor: pointer;
}

.appHeader {
    max-width: 1440px;
    margin-left: auto;
    margin-right: auto;
}

.disabled {
    opacity: 0.25;
}

#aTerms {
    margin: 0 15px;
    padding: 5px;
    text-decoration: underline;
}

#iconVisibility:hover,
#lnkFrench:hover,
#lnkEnglish:hover {
    cursor: pointer;
}

.menu-icon {
    margin-right: .5rem;
}

.langue text:first-child {
    margin-right: 1rem;
}

.langue text:last-child {
    border-left: 1px solid rgba(255, 255, 255, 0.2);
    padding-left: 1rem;
}

.langue .selected {
    text-decoration: underline;
}

.footer {
    padding-top: 10px;
}


.link-text {
    display: block;
    line-height: 1.7;
    text-align: left;
    text-decoration: none;
    padding: 5px;
}

    .link-text:hover {
        color: whitesmoke;
        font-weight: bold;
        background: #e14641;
        border-radius: 5px;
    }

.link-text-selected {
    color: lightgrey;
}

.buttonAlert {
    padding: 3px;
    background-color: #e57d23;
    color: white;
    border: #e57d23 solid 1px;
    border-radius: 5px;
    font-weight: bold;
    cursor: pointer;
}

.copyright {
    position: absolute;
    top: 95%;
    width: 100%;
    text-align: center;
}

.container {
    margin: 10px auto;
    width: 95%;
    background-image: linear-gradient(15deg, #ffffff 0%, #3f4c6b 175%);
    max-width: 760px;
    border-radius: 3px;
}

.panel-header {
    background: linear-gradient(to bottom, #b8c6df 0%,#6d88b7 100%);
    font-size: 1.2em;
    color: white;
    padding: 5px 10px;
    font-weight: bold;
    display: flex;
    align-items: center;
}

.close-panel {
    padding: 3px;
}

.frm-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 95%;
    margin: auto;
}

.input-container {
    margin-top: 30px;
}

.input {
    width: 100%;
}

#divMsgChangePwd {
    margin-top: 10px;
}

.modal:before {
    content: "";
    display: none;
    background: rgba(0, 0, 0, 0.6);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
}

.modal:target:before {
    display: block;
}

.modal:target {
    display: table;
}

    .modal:target .modal-dialog {
        -webkit-transform: translate(0, 0);
        -ms-transform: translate(0, 0);
        transform: translate(0, 0);
        top: 20%;
    }

.modal-dialog {
    background: #fefefe;
    border: #333 solid 1px;
    border-radius: 5px;
    margin-left: -20%;
    position: fixed;
    left: 50%;
    top: -100%;
    z-index: 11;
    width: 40%;
    -webkit-transform: translate(0, -500%);
    -ms-transform: translate(0, -500%);
    transform: translate(0, -500%);
    -webkit-transition: -webkit-transform 0.3s ease-out;
    -moz-transition: -moz-transform 0.3s ease-out;
    -o-transition: -o-transform 0.3s ease-out;
    transition: transform 0.3s ease-out;
}

.modal-body {
    padding: 20px;
}

.modal-footer {
    padding: 10px 20px;
    text-align: right;
    height: 75px;
}


/* toggle button */
.toggle {
    cursor: pointer;
    display: inline-block;
}

    .toggle:hover .toggle-switch:before {
        background: linear-gradient(to bottom, #fff 0%, #fff 100%);
        box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.5);
    }

.toggle-switch {
    display: inline-block;
    background: #D8DBE2;
    border-radius: 16px;
    margin-left: 20px;
    width: 40px;
    height: 21px;
    position: relative;
    vertical-align: middle;
    transition: background 0.25s;
}

    .toggle-switch:before, .toggle-switch:after {
        content: "";
    }

    .toggle-switch:before {
        display: block;
        background: linear-gradient(to bottom, #FFFFFF 0%, #eee 100%);
        border-radius: 50%;
        box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.25);
        width: 17px;
        height: 17px;
        position: absolute;
        top: 2px;
        left: 2px;
        transition: left 0.25s;
    }


.toggle-checkbox {
    position: absolute;
    visibility: hidden;
}

    .toggle-checkbox:checked + .toggle-switch {
        background: #B3DBAE;
    }

        .toggle-checkbox:checked + .toggle-switch:before {
            left: 20px;
        }

.toggle-label {
    font-size: 0.8em;
    margin-left: 15px;
    letter-spacing: 2px;
    position: relative;
    top: 2px;
}


/* radio group */
.custom-radio {
    display: none;
}

    .custom-radio + label {
        font-weight: normal;
        cursor: pointer;
        margin: 3px 20px;
        padding: 5px;
        line-height: 25px;
    }

        .custom-radio + label span {
            display: inline-block;
            vertical-align: middle;
            margin-right: 5px;
            width: 18px;
            height: 18px;
            cursor: pointer;
            -moz-border-radius: 50%;
            -webkit-border-radius: 50%;
            border-radius: 50%;
            position: relative;
            top: -2px;
            border: 1px solid rgba(0, 0, 0, 0.3);
            background-color: whitesmoke;
        }

            .custom-radio + label span::before {
                content: "";
                filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
                opacity: 0;
                width: 9px;
                height: 9px;
                -moz-border-radius: 50%;
                -webkit-border-radius: 50%;
                border-radius: 50%;
                background-color: #B3DBAE;
                position: absolute;
                left: 50%;
                top: 50%;
                bottom: auto;
                right: auto;
                -moz-transform: translate(-50%, -50%);
                -ms-transform: translate(-50%, -50%);
                -webkit-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
                -moz-transition: opacity 0.2s;
                -o-transition: opacity 0.2s;
                -webkit-transition: opacity 0.2s;
                transition: opacity 0.2s;
            }

    .custom-radio:checked + label {
        background-color: #B3DBAE;
        border-radius: 3px;
    }

        .custom-radio:checked + label span::before {
            filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
            opacity: 1;
        }

    .custom-radio:disabled + label {
        filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=50);
        opacity: 0.5;
    }

        .custom-radio:disabled + label, .custom-radio:disabled + label span {
            cursor: default;
        }

.spacer {
    margin: 15px;
}

.frm {
    border-radius: 20px;
    box-sizing: border-box;
    padding: 20px 20px 0;
    width: 95%;
}

#infoForgotPwd {
    margin: 15px auto;
}

#closeForgotPwd,
#aChangePasswordDismiss {
    padding: 8px;
}

.forms_fieldset {
    border-width: 0;
}



/**
 * * Bounce to the left side
 * */
@-webkit-keyframes bounceLeft {
    0% {
        transform: translate3d(100%, -50%, 0);
    }

    50% {
        transform: translate3d(-30px, -50%, 0);
    }

    100% {
        transform: translate3d(0, -50%, 0);
    }
}

@keyframes bounceLeft {
    0% {
        transform: translate3d(100%, -50%, 0);
    }

    50% {
        transform: translate3d(-30px, -50%, 0);
    }

    100% {
        transform: translate3d(0, -50%, 0);
    }
}
/**
 * * Bounce to the right side
 * */
@-webkit-keyframes bounceRight {
    0% {
        transform: translate3d(0, -50%, 0);
    }

    50% {
        transform: translate3d(calc(100% + 30px), -50%, 0);
    }

    100% {
        transform: translate3d(100%, -50%, 0);
    }
}

@keyframes bounceRight {
    0% {
        transform: translate3d(0, -50%, 0);
    }

    50% {
        transform: translate3d(calc(100% + 30px), -50%, 0);
    }

    100% {
        transform: translate3d(100%, -50%, 0);
    }
}
/**
 * * Show Sign Up form
 * */
@-webkit-keyframes showSignUp {
    100% {
        opacity: 1;
        visibility: visible;
        transform: translate3d(0, 0, 0);
    }
}

@keyframes showSignUp {
    100% {
        opacity: 1;
        visibility: visible;
        transform: translate3d(0, 0, 0);
    }
}

/**
 * * Login definition
 * */
.user {
    position: relative;
    top: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.user_options-container {
    position: relative;
}

.user_options-text {
    display: flex;
    justify-content: space-between;
    background-color: rgba(100, 100, 100, 0.9);
    border-radius: 3px;
}

/**
 * * Registered and Unregistered user box and text
 * */
.user_options-registered,
.user_options-unregistered {
    width: 50%;
    padding: 75px 45px;
    color: #fff;
    font-weight: 300;
}

.user_registered-title,
.user_unregistered-title {
    margin-bottom: 15px;
    font-size: 1.66rem;
    line-height: 1em;
}

.user_unregistered-text,
.user_registered-text {
    font-size: 0.83rem;
    line-height: 1.4em;
}

.user_registered-login,
.user_unregistered-signup {
    margin-top: 30px;
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: 10px 30px;
    color: #fff;
    text-transform: uppercase;
    line-height: 1em;
    letter-spacing: 0.2rem;
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
    background: unset;
}

    .user_registered-login:hover,
    .user_unregistered-signup:hover {
        color: rgba(34, 34, 34, 0.85);
        background-color: #ccc;
    }

/**
 * * Login and signup forms
 * */
.user_options-forms {
    position: absolute;
    top: 50%;
    width: calc(52% - 30px);
    min-height: 550px;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 2px 0 15px rgba(0, 0, 0, 0.25);
    overflow: hidden;
    transform: translate3d(100%, -50%, 0);
    transition: transform 0.4s ease-in-out;
}

    .user_options-forms .user_forms-login {
        transition: opacity 0.4s ease-in-out, visibility 0.4s ease-in-out;
    }

    .user_options-forms .forms_title {
        margin-bottom: 45px;
        font-size: 1.5rem;
        font-weight: 500;
        line-height: 1em;
        text-transform: uppercase;
        color: #e8716d;
        letter-spacing: 0.1rem;
    }

    .user_options-forms .forms_field:not(:last-of-type) {
        margin-bottom: 20px;
    }

    .user_options-forms .forms_field-input {
        width: 100%;
        border-bottom: 1px solid #ccc;
        padding: 6px 20px 6px 6px;
        font-family: "Montserrat", sans-serif;
        font-size: 1rem;
        font-weight: 300;
        color: gray;
        letter-spacing: 0.1rem;
        transition: border-color 0.2s ease-in-out;
    }

        .user_options-forms .forms_field-input:focus {
            border-color: gray;
        }

    .user_options-forms .forms_buttons {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 20px;
    }

    .user_options-forms .forms_buttons-forgot {
        font-family: "Montserrat", sans-serif;
        letter-spacing: 0.1rem;
        color: #ccc;
        text-decoration: underline;
        transition: color 0.2s ease-in-out;
    }

        .user_options-forms .forms_buttons-forgot:hover {
            color: #b3b3b3;
        }

    .user_options-forms .forms_buttons-action,
    .forms_buttons .forms_buttons-action {
        background-color: #e8716d;
        border-radius: 3px;
        padding: 10px 35px;
        font-size: 1rem;
        font-family: "Montserrat", sans-serif;
        font-weight: 300;
        color: #fff;
        text-transform: uppercase;
        letter-spacing: 0.1rem;
        transition: background-color 0.2s ease-in-out;
    }

        .user_options-forms .forms_buttons-action:hover,
        .forms_buttons .forms_buttons-action {
            background-color: #e14641;
        }

        .user_options-forms .forms_buttons-action:disabled {
            background-color: lightgrey;
        }

    .user_options-forms .user_forms-signup,
    .user_options-forms .user_forms-login {
        position: absolute;
        top: 55px;
        left: 40px;
        width: calc(100% - 80px);
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.4s ease-in-out, visibility 0.4s ease-in-out, transform 0.5s ease-in-out;
    }

    .user_options-forms .user_forms-signup {
        transform: translate3d(120px, 0, 0);
    }

        .user_options-forms .user_forms-signup .forms_buttons {
            justify-content: flex-end;
        }

    .user_options-forms .user_forms-login {
        transform: translate3d(0, 0, 0);
        opacity: 1;
        visibility: visible;
    }

    /**
     * * Triggers
     * */
    .user_options-forms.bounceLeft {
        -webkit-animation: bounceLeft 1s forwards;
        animation: bounceLeft 1s forwards;
    }

        .user_options-forms.bounceLeft .user_forms-signup {
            -webkit-animation: showSignUp 1s forwards;
            animation: showSignUp 1s forwards;
        }

        .user_options-forms.bounceLeft .user_forms-login {
            opacity: 0;
            visibility: hidden;
            transform: translate3d(-120px, 0, 0);
        }

    .user_options-forms.bounceRight {
        -webkit-animation: bounceRight 1s forwards;
        animation: bounceRight 1s forwards;
    }


/*
 * =======================================================================================
 * 
 * Responsive
 * 
 * =======================================================================================
*/


@media (max-width: 768px) {
    body {
        width: 100%;
    }
}

@media (max-width: 990px) {
    .user_options-forms {
        min-height: 600px;
        width: 325px;
        left: 20px;
    }

        .user_options-forms .forms_buttons {
            flex-direction: column;
        }

        .user_options-forms .user_forms-login .forms_buttons-action {
            margin-top: 30px;
        }

        .user_options-forms .user_forms-signup,
        .user_options-forms .user_forms-login {
            top: 40px;
        }

    .user_options-registered,
    .user_options-unregistered {
        padding: 50px 45px;
    }
}
